require 'logvisible/version'
require 'logvisible/settings'
require 'logvisible/log_methods'
require 'logvisible/railtie' if defined? Rails

module Logvisible
  class << self
    def configure(&block)
      yield settings
    end

    def settings
      @settings ||= Settings.new
    end

    def logger
      settings.logger || Rails.logger
    end
  end
end
